> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Excluir permanentemente um secret pelo ID. Esta ação é irreversível.

# Excluir um segredo



## OpenAPI

````yaml pt-BR/v1-openapi.yaml DELETE /v1/secrets/{secret_id}
openapi: 3.1.0
info:
  description: API do Devin v1 com chaves de API pessoais e de serviço
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/secrets/{secret_id}:
    delete:
      summary: Excluir um segredo
      description: Excluir um segredo da organização.
      operationId: delete_secret_v1_secrets__secret_id__delete
      parameters:
        - in: path
          name: secret_id
          required: true
          schema:
            title: Secret Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteSecretResponse'
          description: Resposta bem-sucedida
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
components:
  schemas:
    DeleteSecretResponse:
      description: Resposta para a exclusão bem-sucedida de um segredo.
      properties:
        message:
          title: Message
          type: string
      required:
        - message
      title: DeleteSecretResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Chave de API pessoal (apk_user_\*) ou chave de API de serviço (apk_\*)
      scheme: bearer
      type: http

````